Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4444)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 4450)
@@ -2644,34 +2643,34 @@
                                   2, 2, myid, 6, 0 )
                 ENDIF
-                
+
              ENDDO
 !
 !--          For vertical surfaces some special checks and treatment are
-!--          required for correct initialization. 
+!--          required for correct initialization.
              DO  l = 0, 3
                 DO  m = 1, surf_lsm_v(l)%ns
 !
-!--                Only for vertical surfaces. Check if at the grid point where 
-!--                the wall is defined (i+ioff, j+joff) is any building. 
+!--                Only for vertical surfaces. Check if at the grid point where
+!--                the wall is defined (i+ioff, j+joff) is any building.
 !--                This case, no natural surfaces properties will be defined at
 !--                at this grid point, leading to problems in the initialization.
 !--                To overcome this, define a special flag which
-!--                indicates that a building is defined at the wall grid point  
-!--                and take the surface properties from the adjoining grid 
+!--                indicates that a building is defined at the wall grid point
+!--                and take the surface properties from the adjoining grid
 !--                point, i.e. without offset values.
 !--                Further, there can occur a special case where elevation
 !--                changes are larger than building heights. This case, (j,i)
-!--                and (j+joff,i+ioff) grid points may be both covered by 
-!--                buildings, but vertical, but vertically natural walls may 
-!--                be located between the buildings. This case, it is not 
-!--                guaranteed that information about natural surface types is 
-!--                given, neither at (j,i) nor at (j+joff,i+ioff), again leading 
-!--                to non-initialized surface properties. 
+!--                and (j+joff,i+ioff) grid points may be both covered by
+!--                buildings, but vertical, but vertically natural walls may
+!--                be located between the buildings. This case, it is not
+!--                guaranteed that information about natural surface types is
+!--                given, neither at (j,i) nor at (j+joff,i+ioff), again leading
+!--                to non-initialized surface properties.
                    surf_lsm_v(l)%building_covered(m) = .FALSE.
 !
-!--                Wall grid point is building-covered. This case, set 
-!--                flag indicating that surface properties are initialized 
-!--                from neighboring reference grid point, which is not 
-!--                building_covered. 
+!--                Wall grid point is building-covered. This case, set
+!--                flag indicating that surface properties are initialized
+!--                from neighboring reference grid point, which is not
+!--                building_covered.
                    IF ( building_type_f%from_file )  THEN
                       i = surf_lsm_v(l)%i(m)
@@ -2685,9 +2684,9 @@
 !--                   point are both building-covered. This case, surface
 !--                   properties are not necessarily defined (not covered by
-!--                   checks for static input file) at this surface. Hence, 
-!--                   initialize surface properties by simply setting 
-!--                   vegetation_type_f to bare-soil bulk parametrization. 
-!--                   soil_type_f as well as surface_fractions_f will be set 
-!--                   also.                      
+!--                   checks for static input file) at this surface. Hence,
+!--                   initialize surface properties by simply setting
+!--                   vegetation_type_f to bare-soil bulk parametrization.
+!--                   soil_type_f as well as surface_fractions_f will be set
+!--                   also.
                       IF ( building_type_f%var(j+surf_lsm_v(l)%joff,           &
                                                i+surf_lsm_v(l)%ioff) /=        &
@@ -2696,7 +2695,7 @@
                       THEN
                          vegetation_type_f%var(j,i)                 = 1 ! bare soil
-                         soil_type_f%var_2d(j,i)                    = 1 
-!                         
-!--                      If surface_fraction is provided in static input, 
+                         soil_type_f%var_2d(j,i)                    = 1
+!
+!--                      If surface_fraction is provided in static input,
 !--                      set fraction for vegetation to one at building-covered
 !--                      surfaces.
@@ -2707,5 +2706,5 @@
                          ENDIF
                       ENDIF
-                      
+
                    ENDIF
 !
@@ -2738,10 +2737,10 @@
        END SELECT
 !
-!--    In case of netcdf input file, further initialize surface fractions. 
+!--    In case of netcdf input file, further initialize surface fractions.
 !--    At the moment only 1 surface is given at a location, so that the fraction
-!--    is either 0 or 1. This will be revised later. If surface fraction 
+!--    is either 0 or 1. This will be revised later. If surface fraction
 !--    is not given in static input file, relative fractions will be derived
 !--    from given surface type. In this case, only 1 type is given at a certain
-!--    location (already checked).  
+!--    location (already checked).
        IF ( input_pids_static  .AND.  surface_fraction_f%from_file )  THEN
           DO  m = 1, surf_lsm_h%ns
@@ -2773,10 +2772,10 @@
                                  j, i, ') are all zero.'
                 CALL message( 'land_surface_model_mod', 'PA0688',              &
-                               2, 2, myid, 6, 0 ) 
+                               2, 2, myid, 6, 0 )
              ENDIF
 !
 !--          In case the sum of all surfaces is not 1, which may happen
 !--          due to rounding errors or type conversions, normalize the
-!--          fractions to one. Note, at the moment no tile approach is 
+!--          fractions to one. Note, at the moment no tile approach is
 !--          implemented, so that relative fractions are either 1 or zero.
              IF ( SUM ( surf_lsm_h%frac(m,:) ) > 1.0_wp  .OR.                  &
@@ -2791,9 +2790,9 @@
              DO  m = 1, surf_lsm_v(l)%ns
                 i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
-!
-!--             0 - vegetation fraction, 1 - pavement fraction, 2 - water fraction        
+                                                surf_lsm_v(l)%building_covered(m) )
+!
+!--             0 - vegetation fraction, 1 - pavement fraction, 2 - water fraction
                 IF ( surface_fraction_f%frac(ind_veg_wall,j,i) /=              &
                      surface_fraction_f%fill )  THEN
@@ -2819,10 +2818,10 @@
                                  j, i, ') are all zero.'
                    CALL message( 'land_surface_model_mod', 'PA0688',           &
-                                  2, 2, myid, 6, 0 ) 
+                                  2, 2, myid, 6, 0 )
                 ENDIF
 !
 !--             In case the sum of all surfaces is not 1, which may happen
 !--             due to rounding errors or type conversions, normalize the
-!--             fractions to one. Note, at the moment no tile approach is 
+!--             fractions to one. Note, at the moment no tile approach is
 !--             implemented, so that relative fractions are either 1 or zero.
                 IF ( SUM ( surf_lsm_v(l)%frac(m,:) ) > 1.0_wp  .OR.            &
@@ -2840,24 +2839,24 @@
              j = surf_lsm_h%j(m)
 
-             IF ( vegetation_type_f%var(j,i) /= vegetation_type_f%fill )       &        
+             IF ( vegetation_type_f%var(j,i) /= vegetation_type_f%fill )       &
                 surf_lsm_h%frac(m,ind_veg_wall)  = 1.0_wp
-             IF ( pavement_type_f%var(j,i)   /= pavement_type_f%fill   )       &        
-                surf_lsm_h%frac(m,ind_pav_green) = 1.0_wp 
-             IF ( water_type_f%var(j,i)      /= water_type_f%fill      )       &        
-                surf_lsm_h%frac(m,ind_wat_win)   = 1.0_wp       
+             IF ( pavement_type_f%var(j,i)   /= pavement_type_f%fill   )       &
+                surf_lsm_h%frac(m,ind_pav_green) = 1.0_wp
+             IF ( water_type_f%var(j,i)      /= water_type_f%fill      )       &
+                surf_lsm_h%frac(m,ind_wat_win)   = 1.0_wp
           ENDDO
           DO  l = 0, 3
              DO  m = 1, surf_lsm_v(l)%ns
                 i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
-     
-                IF ( vegetation_type_f%var(j,i) /= vegetation_type_f%fill )    &        
+                                                surf_lsm_v(l)%building_covered(m) )
+
+                IF ( vegetation_type_f%var(j,i) /= vegetation_type_f%fill )    &
                    surf_lsm_v(l)%frac(m,ind_veg_wall)  = 1.0_wp
-                IF ( pavement_type_f%var(j,i)   /= pavement_type_f%fill   )    &        
-                   surf_lsm_v(l)%frac(m,ind_pav_green) = 1.0_wp 
-                IF ( water_type_f%var(j,i)      /= water_type_f%fill      )    &        
-                   surf_lsm_v(l)%frac(m,ind_wat_win)   = 1.0_wp     
+                IF ( pavement_type_f%var(j,i)   /= pavement_type_f%fill   )    &
+                   surf_lsm_v(l)%frac(m,ind_pav_green) = 1.0_wp
+                IF ( water_type_f%var(j,i)      /= water_type_f%fill      )    &
+                   surf_lsm_v(l)%frac(m,ind_wat_win)   = 1.0_wp
              ENDDO
           ENDDO
@@ -2865,8 +2864,8 @@
 !
 !--    Level 1, initialization of soil parameters.
-!--    It is possible to overwrite each parameter by setting the respecticy 
-!--    NAMELIST variable to a value /= 9999999.9. 
-       IF ( soil_type /= 0 )  THEN  
- 
+!--    It is possible to overwrite each parameter by setting the respecticy
+!--    NAMELIST variable to a value /= 9999999.9.
+       IF ( soil_type /= 0 )  THEN
+
           IF ( alpha_vangenuchten == 9999999.9_wp )  THEN
              alpha_vangenuchten = soil_pars(0,soil_type)
@@ -2878,25 +2877,25 @@
 
           IF ( n_vangenuchten == 9999999.9_wp )  THEN
-             n_vangenuchten = soil_pars(2,soil_type)            
+             n_vangenuchten = soil_pars(2,soil_type)
           ENDIF
 
           IF ( hydraulic_conductivity == 9999999.9_wp )  THEN
-             hydraulic_conductivity = soil_pars(3,soil_type)            
+             hydraulic_conductivity = soil_pars(3,soil_type)
           ENDIF
 
           IF ( saturation_moisture == 9999999.9_wp )  THEN
-             saturation_moisture = soil_pars(4,soil_type)           
+             saturation_moisture = soil_pars(4,soil_type)
           ENDIF
 
           IF ( field_capacity == 9999999.9_wp )  THEN
-             field_capacity = soil_pars(5,soil_type)           
+             field_capacity = soil_pars(5,soil_type)
           ENDIF
 
           IF ( wilting_point == 9999999.9_wp )  THEN
-             wilting_point = soil_pars(6,soil_type)            
+             wilting_point = soil_pars(6,soil_type)
           ENDIF
 
           IF ( residual_moisture == 9999999.9_wp )  THEN
-             residual_moisture = soil_pars(7,soil_type)       
+             residual_moisture = soil_pars(7,soil_type)
           ENDIF
 
@@ -2907,5 +2906,5 @@
        surf_lsm_h%alpha_vg      = alpha_vangenuchten
        surf_lsm_h%l_vg          = l_vangenuchten
-       surf_lsm_h%n_vg          = n_vangenuchten 
+       surf_lsm_h%n_vg          = n_vangenuchten
        surf_lsm_h%gamma_w_sat   = hydraulic_conductivity
        surf_lsm_h%m_sat         = saturation_moisture
@@ -2919,5 +2918,5 @@
           surf_lsm_v(l)%alpha_vg      = alpha_vangenuchten
           surf_lsm_v(l)%l_vg          = l_vangenuchten
-          surf_lsm_v(l)%n_vg          = n_vangenuchten 
+          surf_lsm_v(l)%n_vg          = n_vangenuchten
           surf_lsm_v(l)%gamma_w_sat   = hydraulic_conductivity
           surf_lsm_v(l)%m_sat         = saturation_moisture
@@ -2929,10 +2928,10 @@
 !
 !--    Level 2, initialization of soil parameters via soil_type read from file.
-!--    Soil parameters are initialized for each (y,x)-grid point 
+!--    Soil parameters are initialized for each (y,x)-grid point
 !--    individually using default paramter settings according to the given
 !--    soil type.
        IF ( soil_type_f%from_file )  THEN
 !
-!--       Level of detail = 1, i.e. a homogeneous soil distribution along the 
+!--       Level of detail = 1, i.e. a homogeneous soil distribution along the
 !--       vertical dimension is assumed.
           IF ( soil_type_f%lod == 1 )  THEN
@@ -2942,5 +2941,5 @@
                 i = surf_lsm_h%i(m)
                 j = surf_lsm_h%j(m)
-             
+
                 st = soil_type_f%var_2d(j,i)
                 IF ( st /= soil_type_f%fill )  THEN
@@ -2956,11 +2955,11 @@
              ENDDO
 !
-!--          Vertical surfaces ( assumes the soil type given at respective (x,y) 
+!--          Vertical surfaces ( assumes the soil type given at respective (x,y)
              DO  l = 0, 3
                 DO  m = 1, surf_lsm_v(l)%ns
                    i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
                    j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
 
                    st = soil_type_f%var_2d(j,i)
@@ -2979,5 +2978,5 @@
 !
 !--       Level of detail = 2, i.e. soil type and thus the soil parameters
-!--       can be heterogeneous along the vertical dimension. 
+!--       can be heterogeneous along the vertical dimension.
           ELSE
 !
@@ -2986,5 +2985,5 @@
                 i = surf_lsm_h%i(m)
                 j = surf_lsm_h%j(m)
-             
+
                 DO  k = nzb_soil, nzt_soil
                    st = soil_type_f%var_3d(k,j,i)
@@ -3002,11 +3001,11 @@
              ENDDO
 !
-!--          Vertical surfaces ( assumes the soil type given at respective (x,y) 
+!--          Vertical surfaces ( assumes the soil type given at respective (x,y)
              DO  l = 0, 3
                 DO  m = 1, surf_lsm_v(l)%ns
                    i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
                    j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
 
                    DO  k = nzb_soil, nzt_soil
@@ -3028,14 +3027,14 @@
        ENDIF
 !
-!--    Level 3, initialization of single soil parameters at single z,x,y 
+!--    Level 3, initialization of single soil parameters at single z,x,y
 !--    position via soil_pars read from file.
        IF ( soil_pars_f%from_file )  THEN
 !
-!--       Level of detail = 1, i.e. a homogeneous vertical distribution of soil 
+!--       Level of detail = 1, i.e. a homogeneous vertical distribution of soil
 !--       parameters is assumed.
 !--       Horizontal surfaces
           IF ( soil_pars_f%lod == 1 )  THEN
 !
-!--          Horizontal surfaces 
+!--          Horizontal surfaces
              DO  m = 1, surf_lsm_h%ns
                 i = surf_lsm_h%i(m)
@@ -3061,11 +3060,11 @@
              ENDDO
 !
-!--          Vertical surfaces 
+!--          Vertical surfaces
              DO  l = 0, 3
                 DO  m = 1, surf_lsm_v(l)%ns
                    i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
                    j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
 
                    IF ( soil_pars_f%pars_xy(0,j,i) /= soil_pars_f%fill )           &
@@ -3089,6 +3088,6 @@
              ENDDO
 !
-!--       Level of detail = 2, i.e. soil parameters can be set at each soil 
-!--       layer individually. 
+!--       Level of detail = 2, i.e. soil parameters can be set at each soil
+!--       layer individually.
           ELSE
 !
@@ -3119,11 +3118,11 @@
              ENDDO
 !
-!--          Vertical surfaces 
+!--          Vertical surfaces
              DO  l = 0, 3
                 DO  m = 1, surf_lsm_v(l)%ns
                    i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
                    j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,      &
-                                                   surf_lsm_v(l)%building_covered(m) ) 
+                                                   surf_lsm_v(l)%building_covered(m) )
 
                    DO  k = nzb_soil, nzt_soil
@@ -3153,6 +3152,6 @@
 
 !
-!--    Level 1, initialization of vegetation parameters. A horizontally 
-!--    homogeneous distribution is assumed here. 
+!--    Level 1, initialization of vegetation parameters. A horizontally
+!--    homogeneous distribution is assumed here.
        IF ( vegetation_type /= 0 )  THEN
 
@@ -3162,49 +3161,49 @@
 
           IF ( leaf_area_index == 9999999.9_wp )  THEN
-             leaf_area_index = vegetation_pars(ind_v_rc_lai,vegetation_type)         
+             leaf_area_index = vegetation_pars(ind_v_rc_lai,vegetation_type)
           ENDIF
 
           IF ( vegetation_coverage == 9999999.9_wp )  THEN
-             vegetation_coverage = vegetation_pars(ind_v_c_veg,vegetation_type)     
+             vegetation_coverage = vegetation_pars(ind_v_c_veg,vegetation_type)
           ENDIF
 
           IF ( canopy_resistance_coefficient == 9999999.9_wp )  THEN
-              canopy_resistance_coefficient= vegetation_pars(ind_v_gd,vegetation_type)     
+              canopy_resistance_coefficient= vegetation_pars(ind_v_gd,vegetation_type)
           ENDIF
 
           IF ( z0_vegetation == 9999999.9_wp )  THEN
-             z0_vegetation  = vegetation_pars(ind_v_z0,vegetation_type) 
+             z0_vegetation  = vegetation_pars(ind_v_z0,vegetation_type)
           ENDIF
 
           IF ( z0h_vegetation == 9999999.9_wp )  THEN
              z0h_vegetation = vegetation_pars(ind_v_z0qh,vegetation_type)
-          ENDIF 
-          
+          ENDIF
+
           IF ( z0q_vegetation == 9999999.9_wp )  THEN
              z0q_vegetation = vegetation_pars(ind_v_z0qh,vegetation_type)
           ENDIF
-          
+
           IF ( lambda_surface_stable == 9999999.9_wp )  THEN
-             lambda_surface_stable = vegetation_pars(ind_v_lambda_s,vegetation_type) 
+             lambda_surface_stable = vegetation_pars(ind_v_lambda_s,vegetation_type)
           ENDIF
 
           IF ( lambda_surface_unstable == 9999999.9_wp )  THEN
-             lambda_surface_unstable = vegetation_pars(ind_v_lambda_u,vegetation_type)           
+             lambda_surface_unstable = vegetation_pars(ind_v_lambda_u,vegetation_type)
           ENDIF
 
           IF ( f_shortwave_incoming == 9999999.9_wp )  THEN
-             f_shortwave_incoming = vegetation_pars(ind_v_f_sw_in,vegetation_type)        
+             f_shortwave_incoming = vegetation_pars(ind_v_f_sw_in,vegetation_type)
           ENDIF
 
           IF ( c_surface == 9999999.9_wp )  THEN
-             c_surface = vegetation_pars(ind_v_c_surf,vegetation_type)        
+             c_surface = vegetation_pars(ind_v_c_surf,vegetation_type)
           ENDIF
 
           IF ( albedo_type == 9999999  .AND.  albedo == 9999999.9_wp )  THEN
-             albedo_type = INT(vegetation_pars(ind_v_at,vegetation_type))       
-          ENDIF
-   
+             albedo_type = INT(vegetation_pars(ind_v_at,vegetation_type))
+          ENDIF
+
           IF ( emissivity == 9999999.9_wp )  THEN
-             emissivity = vegetation_pars(ind_v_emis,vegetation_type)     
+             emissivity = vegetation_pars(ind_v_emis,vegetation_type)
           ENDIF
 
@@ -3227,5 +3226,5 @@
              surf_lsm_h%albedo_type(m,ind_veg_wall) = albedo_type
              surf_lsm_h%emissivity(m,ind_veg_wall)  = emissivity
-             
+
              surf_lsm_h%vegetation_type(m)      = vegetation_type
              surf_lsm_h%vegetation_type_name(m) = vegetation_type_name(vegetation_type)
@@ -3235,5 +3234,5 @@
              surf_lsm_h%g_d(m)   = 0.0_wp
           ENDIF
-  
+
        ENDDO
 !
@@ -3256,5 +3255,5 @@
                 surf_lsm_v(l)%albedo_type(m,ind_veg_wall) = albedo_type
                 surf_lsm_v(l)%emissivity(m,ind_veg_wall)  = emissivity
-                
+
                 surf_lsm_v(l)%vegetation_type(m)      = vegetation_type
                 surf_lsm_v(l)%vegetation_type_name(m) = vegetation_type_name(vegetation_type)
@@ -3269,5 +3268,5 @@
 !
 !--    Level 2, initialization of vegation parameters via vegetation_type read
-!--    from file. Vegetation parameters are initialized for each (y,x)-grid point 
+!--    from file. Vegetation parameters are initialized for each (y,x)-grid point
 !--    individually using default paramter settings according to the given
 !--    vegetation type.
@@ -3278,5 +3277,5 @@
              i = surf_lsm_h%i(m)
              j = surf_lsm_h%j(m)
-             
+
              st = vegetation_type_f%var(j,i)
              IF ( st /= vegetation_type_f%fill  .AND.  st /= 0 )  THEN
@@ -3294,5 +3293,5 @@
                 surf_lsm_h%albedo_type(m,ind_veg_wall) = INT( vegetation_pars(ind_v_at,st) )
                 surf_lsm_h%emissivity(m,ind_veg_wall)  = vegetation_pars(ind_v_emis,st)
-                
+
                 surf_lsm_h%vegetation_type(m)      = st
                 surf_lsm_h%vegetation_type_name(m) = vegetation_type_name(st)
@@ -3304,8 +3303,8 @@
              DO  m = 1, surf_lsm_v(l)%ns
                 i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,      &
-                                                surf_lsm_v(l)%building_covered(m) ) 
-             
+                                                surf_lsm_v(l)%building_covered(m) )
+
                 st = vegetation_type_f%var(j,i)
                 IF ( st /= vegetation_type_f%fill  .AND.  st /= 0 )  THEN
@@ -3323,5 +3322,5 @@
                    surf_lsm_v(l)%albedo_type(m,ind_veg_wall) = INT( vegetation_pars(ind_v_at,st) )
                    surf_lsm_v(l)%emissivity(m,ind_veg_wall)  = vegetation_pars(ind_v_emis,st)
-                   
+
                    surf_lsm_v(l)%vegetation_type(m)      = st
                    surf_lsm_v(l)%vegetation_type_name(m) = vegetation_type_name(st)
@@ -3331,9 +3330,9 @@
        ENDIF
 !
-!--    Level 3, initialization of vegation parameters at single (x,y) 
+!--    Level 3, initialization of vegation parameters at single (x,y)
 !--    position via vegetation_pars read from file.
        IF ( vegetation_pars_f%from_file )  THEN
 !
-!--       Horizontal surfaces 
+!--       Horizontal surfaces
           DO  m = 1, surf_lsm_h%ns
 
@@ -3341,7 +3340,7 @@
              j = surf_lsm_h%j(m)
 !
-!--          If surface element is not a vegetation surface and any value in 
+!--          If surface element is not a vegetation surface and any value in
 !--          vegetation_pars is given, neglect this information and give an
-!--          informative message that this value will not be used.   
+!--          informative message that this value will not be used.
              IF ( .NOT. surf_lsm_h%vegetation_surface(m)  .AND.                &
                    ANY( vegetation_pars_f%pars_xy(:,j,i) /=                    &
@@ -3351,5 +3350,5 @@
                                  j, i, ') is not a vegetation surface, ',      &
                                  'so that information given in ',              &
-                                 'vegetation_pars at this point is neglected.' 
+                                 'vegetation_pars at this point is neglected.'
                 CALL message( 'land_surface_model_mod', 'PA0436', 0, 0, myid, 6, 0 )
              ELSE
@@ -3409,15 +3408,15 @@
           ENDDO
 !
-!--       Vertical surfaces 
+!--       Vertical surfaces
           DO  l = 0, 3
              DO  m = 1, surf_lsm_v(l)%ns
                 i = surf_lsm_v(l)%i(m) + MERGE( 0, surf_lsm_v(l)%ioff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
+                                                surf_lsm_v(l)%building_covered(m) )
                 j = surf_lsm_v(l)%j(m) + MERGE( 0, surf_lsm_v(l)%joff,         &
-                                                surf_lsm_v(l)%building_covered(m) ) 
-!
-!--             If surface element is not a vegetation surface and any value in 
+                                                surf_lsm_v(l)%building_covered(m) )
+!
+!--             If surface element is not a vegetation surface and any value in
 !--             vegetation_pars is given, neglect this information and give an
-!--             informative message that this value will not be used.   
+!--             informative message that this value will not be used.
                 IF ( .NOT. surf_lsm_v(l)%vegetation_surface(m)  .AND.          &
                       ANY( vegetation_pars_f%pars_xy(:,j,i) /=                 &
@@ -3427,5 +3426,5 @@
                                  j, i, ') is not a vegetation surface, ',      &
                                  'so that information given in ',              &
-                                 'vegetation_pars at this point is neglected.' 
+                                 'vegetation_pars at this point is neglected.'
                    CALL message( 'land_surface_model_mod', 'PA0436', 0, 0, myid, 6, 0 )
                 ELSE
@@ -3486,36 +3485,36 @@
              ENDDO
           ENDDO
-       ENDIF 
-
-!
-!--    Level 1, initialization of water parameters. A horizontally 
-!--    homogeneous distribution is assumed here. 
+       ENDIF
+
+!
+!--    Level 1, initialization of water parameters. A horizontally
+!--    homogeneous distribution is assumed here.
        IF ( water_type /= 0 )  THEN
 
           IF ( water_temperature == 9999999.9_wp )  THEN
-             water_temperature = water_pars(ind_w_temp,water_type)       
+             water_temperature = water_pars(ind_w_temp,water_type)
           ENDIF
 
           IF ( z0_water == 9999999.9_wp )  THEN
-             z0_water = water_pars(ind_w_z0,water_type)       
-          ENDIF       
+             z0_water = water_pars(ind_w_z0,water_type)
+          ENDIF
 
           IF ( z0h_water == 9999999.9_wp )  THEN
-             z0h_water = water_pars(ind_w_z0h,water_type)       
-          ENDIF  
-          
+             z0h_water = water_pars(ind_w_z0h,water_type)
+          ENDIF
+
           IF ( z0q_water == 9999999.9_wp )  THEN
-             z0q_water = water_pars(ind_w_z0h,water_type)       
-          ENDIF 
+             z0q_water = water_pars(ind_w_z0h,water_type)
+          ENDIF
 
           IF ( albedo_type == 9999999  .AND.  albedo == 9999999.9_wp )  THEN
-             albedo_type = INT(water_pars(ind_w_at,water_type))        
-          ENDIF
-   
+             albedo_type = INT(water_pars(ind_w_at,water_type))
+          ENDIF
+
           IF ( emissivity == 9999999.9_wp )  THEN
-             emissivity = water_pars(ind_w_emis,water_type)        
-          ENDIF
-
-       ENDIF 
+             emissivity = water_pars(ind_w_emis,water_type)
+          ENDIF
+
+       ENDIF
 !
 !--    Map values onto horizontal elemements
@@ -3528,9 +3527,9 @@
              surf_lsm_h%z0q(m)              = z0q_water
              surf_lsm_h%lambda_surface_s(m) = 1.0E10_wp
-             surf_lsm_h%lambda_surface_u(m) = 1.0E10_wp               
+             surf_lsm_h%lambda_surface_u(m) = 1.0E10_wp
              surf_lsm_h%c_surface(m)        = 0.0_wp
              surf_lsm_h%albedo_type(m,ind_wat_win) = albedo_type
              surf_lsm_h%emissivity(m,ind_wat_win)  = emissivity
-             
+
              surf_lsm_h%water_type(m)      = water_type
              surf_lsm_h%water_type_name(m) = water_type_name(water_type)
@@ -3549,12 +3548,12 @@
                 surf_lsm_v(l)%z0q(m)              = z0q_water
                 surf_lsm_v(l)%lambda_surface_s(m) = 1.0E10_wp
-                surf_lsm_v(l)%lambda_surface_u(m) = 1.0E10_wp               
+                surf_lsm_v(l)%lambda_surface_u(m) = 1.0E10_wp
                 surf_lsm_v(l)%c_surface(m)        = 0.0_wp
                 surf_lsm_v(l)%albedo_type(m,ind_wat_win) = albedo_type
                 surf_lsm_v(l)%emissivity(m,ind_wat_win)  = emissivity
-                
+
                 surf_lsm_v(l)%water_type(m)      = water_type
                 surf_lsm_v(l)%water_type_name(m) = water_type_name(water_type)
-             ENDIF 
+             ENDIF
           ENDDO
        ENDDO
@@ -3562,5 +3561,5 @@
 !
 !--    Level 2, initialization of water parameters via water_type read
-!--    from file. Water surfaces are initialized for each (y,x)-grid point 
+!--    from file. Water surfaces are initialized for each (y,x)-grid point
 !--    individually using default paramter settings according to the given
 !--    water type.
@@ -3573,5 +3572,5 @@
              i = surf_lsm_h%i(m)
              j = surf_lsm_h%j(m)
-             
+
              st = water_type_f%var(j,i)
              IF ( st /= water_type_f%fill  .AND.  st /= 0 )  THEN
